DMESG(1)

BEZEICHNUNG
dmesg - den Kernel-Ringpuffer anzeigen und steuern

ÜBERSICHT
dmesg [options]

dmesg --clear
dmesg --read-clear [options]
dmesg --console-level level
dmesg --console-on
dmesg --console-off

BESCHREIBUNG
dmesg wird zur Untersuchung und Steuerung des Kernel-Ringpuffers verwendet.

Die Vorgabeaktion beinhaltet das Lesen aller Meldungen des Kernel-Ringpuffers.

OPTIONEN
The --clear, --read-clear, --console-on, --console-off and --console-level options are mutually exclusive.

-C, --clear
    leert den Ringpuffer.

-c, --read-clear
    löscht den Inhalt des Ringpuffers, nachdem dessen Inhalt ausgegeben wurde.

-D, --console-off
    Disable printing messages to the console.

-d, --show-delta
    zeigt den Zeitstempel und die zwischen den Meldungen vergangene Zeit an. Wenn Sie dies zusammen mit --notime verwenden, werden nur die Zeiträume ohne Zeitstempel angezeigt.

-e, --reltime
    zeigt die lokale Zeit und den Zeitunterschied in menschenlesbarem Format an.

-E, --console-on
    aktiviert die Ausgabe der Meldungen in der Konsole.

-F, --file Datei
    liest die Meldungen aus der angegebenen Datei.

-f, --facility Liste
    begrenzt die Ausgabe auf eine (durch Kommata getrennte) Liste der Leistungen. Zum Beispiel gibt

    dmesg --facility=daemon

    will print messages from system daemons only. For all supported facilities see dmesg --help output.

-H, --human
    aktiviert die menschenlesbare Ausgabe. Siehe auch die Optionen --color, --reltime und --nopager.

-h, --help
    gibt eine Hilfe aus und beendet das Programm.

-k, --kernel
    gibt Kernelmeldungen aus.

-L, --color[=WANN]
    Colorize important messages. The optional argument when can be auto, never or always. If the when argument is omitted, then it defaults to auto.

-l, --level Liste
    beschränkt die Ausgabe auf die (durch Kommata getrennte) Liste der Ebenen. Zum Beispiel gibt

    dmesg --level=err,warn

    will print error and warning messages only. For all supported levels see dmesg --help output.

-n, --console-level Ebene
    Set the level at which printing of messages is done to the console. The level is a level number or abbreviation of the level name. For all supported levels see dmesg --help output.

    Zum Beispiel unterdrücken -n 1 oder -n alert alle Meldungen außer Notfallmeldungen (»panic«). Sämtliche Nachrichtenebenen werden noch nach /proc/kmsg geschrieben, so dass Sie mit syslogd(8) steuern können, wo Kernelmeldungen erscheinen. Mit der Option -n gibt dmesg keine Meldungen aus und löscht den Ringpuffer nicht.

-P, --nopager
    leitet die Ausgabe nicht an einen Pager weiter. Ein Pager ist in der Voreinstellung aktiviert, wenn die Option --human verwendet wird.

-r, --raw
    zeigt den unverarbeiteten Meldungspuffer an. Die Präfixe der Ebenen (Protokollierstufen) werden nicht entfernt. Beachten Sie, dass das reale unverarbeitete Format davon abhängt, wie dmesg(1) Kernelmeldungen liest. Das Gerät /dev/kmsg verwendet ein anderes Format als syslog(2). Um Abwärtskompatibilität zu gewährleisten, gibt dmesg(1) die Daten stets im syslog(2)-Format zurück. Es ist dennoch möglich, dass die echten Rohdaten, beispielsweise mit dem Befehl »dd if=/dev/kmsg iflag=nonblock« aus /dev/kmsg gelesen werden.

-S, --syslog
    erzwingt, dass dmesg die syslog(2)-Kernelschnittstelle zum Lesen der Kernelmeldungen verwendet. In der Voreinstellung wird seit Kernel 3.5.0 /dev/kmsg anstatt syslog(2) bevorzugt.

-s, --buffer-size Größe
    verwendet einen Puffer der angegebenen Größe zur Abfrage des Kernel-Ringpuffers. Die vorgegebene Größe ist 16392. (Die Vorgabegröße war in der Vergangenheit zunächst 4096, dann 8192 seit Kernel 1.3.54 und 16384 seit Kernel 2.1.113) Falls Sie den Kernelpuffer größer gewählt haben als die Vorgabe, kann diese Option zur Anzeige des gesamten Puffers verwendet werden.

-T, --ctime
    gibt menschenlesbare Zeitstempel aus.

    Der Zeitstempel könnte allerdings ungenau sein! Die für die Protokollierung verwendete Zeit wird nach SUSPEND- und RESUME-Vorgängen nicht erneut abgeglichen.

-t, --notime
    verhindert die Ausgabe von Zeitstempeln des Kernels.

-u, --userspace
    gibt Meldungen der Anwendungsebene aus.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

-w, --follow
    wartet auf neue Meldungen. Dieses Funktionsmerkmal wird nur auf Systemen unterstützt, auf denen /dev/kmsg lesbar ist (seit Kernel 3.5.0).

-x, --decode
    dekodiert die Nummern von Leistungen und Ebenen (Priorität) in menschenlesbare Präfixe.

--time-format Format
    gibt Zeitstempel im angegebenen Format aus, welches ctime, reltime, delta oder iso sein kann. Die ersten drei Formate sind Aliase der Zeitformat-spezifischen Optionen. Das iso-Format ist eine dmesg-Implementierung des Zeitstempelformats ISO-8601. Dieses Format dient dazu, den Vergleich der Zeitstempel zweier Systeme und deren weitere Verarbeitung zu erleichtern. Die Definition des iso-Zeitstempels lautet: JJJJ-MM-TT<T>HH:MM:SS,<Mikrosekunden><-+><Zeitzonenversatz zur Weltzeit>.

    Das iso-Format hat das gleiche Problem wie ctime: Die Zeit kann ungenau sein, wenn ein System in einen Energiesparmodus versetzt und wieder aufgeweckt wird.

SIEHE AUCH
syslogd(8)

AUTOREN
Karel Zak (kzak@redhat.com)
Theodore Ts'o geschrieben. (tytso@athena.mit.edu)

VERFÜGBARKEIT
Der Befehl dmesg ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.